/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomEntity_H__
#define __GdomEntity_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomNode.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomEntity GdomEntity;
typedef struct _GdomEntityClass GdomEntityClass;


#define GDOM_TYPE_ENTITY            (gdom_entity_get_type())
#define GDOM_ENTITY(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_ENTITY, GdomEntity))
#define GDOM_ENTITY_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_ENTITY, GdomEntity)Class)
#define GDOM_IS_ENTITY(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_ENTITY))
#define GDOM_IS_ENTITY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_ENTITY))
#define GDOM_ENTITY_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_ENTITY, GdomEntityClass))

typedef struct _GdomEntityPrivate GdomEntityPrivate;

struct _GdomEntity {
    GdomNode parent_instance;
    GdomEntityPrivate *priv;
};

struct _GdomEntityClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_entity_get_type (void);

G_END_DECLS

#endif /* __GdomEntity_H__ */
